BUILD_TOOLS_URL=$1
WA_HOME_URL=$2

# install SDK build-tools
echo "install SDK build-tools"
cd /usr/
pwd
# TODO: build-tools.tar.gz only accessible from Linaro LAVA lab
wget $BUILD_TOOLS_URL
tar -xvf build-tools.tar.gz
cd -

# clone workload-automation git repo
echo "clone workload-automation git repo from github"
git clone https://github.com/ARM-software/workload-automation.git
cd workload-automation
echo "python setup.py sdist"
python setup.py sdist
echo "sudo pip install dist/wlauto-*.tar.gz"
sudo pip install dist/wlauto-*.tar.gz

# install workloads dependencies bbench and APKs.
echo "install workloads bbench and APKs"
cd /root
id
cd; pwd
# TODO: workload_automation_home.tar.gz only accessible from Linaro LAVA lab
wget $WA_HOME_URL
tar -xvf workload_automation_home.tar.gz

# create folder for database results
mkdir -p /root/db_results/

# check wa install path
echo $PATH
which wa

exit 0
